# Class BattleMessageEvent

java.lang.Object
robocode.control.events.BattleEvent
robocode.control.events.BattleMessageEvent

public class BattleMessageEvent extends BattleEvent
A BattleMessageEvent is sent to `onBattleMessage()` when an informal message is sent from the game in the during the battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  - `IBattleListener`
  - `BattleErrorEvent`

## Constructor Summary

Constructors
Constructor
Description
`BattleMessageEvent(String message)`
Called by the game to create a new BattleMessageEvent.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessage()`
Returns the informal message.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BattleMessageEvent

public BattleMessageEvent(String message)
Called by the game to create a new BattleMessageEvent. Please don't use this constructor as it might change.

Parameters:
  `message` - the informal message from the game.

## Method Details

### getMessage

public String getMessage()
Returns the informal message.

Returns:
  the informal message that was sent from the game during the battle.